Skip to main content
DELETE
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
/
{transactionId}
Cancels a Withdrawal Request for a subaccount
curl --request DELETE \
  --url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>'
{
  "data": {
    "success": true
  }
}
Requires Api-Signature. Replace both path parameters before signing.

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

transactionId
string
required

Unique Identifier for the Withdrawal Transaction

Response

Success or Failure of the request

data
CancelSubaccountWithdrawalObject · object
required